Subject: Re: Perl - trying to install libwin32
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Wed, 22 Oct 2003 08:58:28 +0200

Hallo Charles,

Am Mittwoch, 22. Oktober 2003 um 04:01 schriebst du:

> Igor,

> Here's what's getting produced by make:

> gcc -shared -o File.dll -Wl,--out-implib=libFile.dll.a 
> -Wl,--export-all-symbols -Wl,--enable-auto-import -Wl,--stack,8388608 
> -L/usr/local/lib -L/usr/local/lib -L/usr/lib/w32api 
> -I/usr/include/w32api -s File.o 
> /usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE/libperl.dll.a -lkernel32

> I've also tried (by hand):

> gcc -shared -o File.dll -Wl,--out-implib=libFile.dll.a 
> -Wl,--export-all-symbols -Wl,--enable-auto-import -Wl,--stack,8388608 -s 
> File.o /usr/lib/perl5/5.8.0/cygwin-multi-64int/CORE/libperl.dll.a 
> -L/usr/local/lib -L/usr/local/lib -L/usr/lib/w32api -lkernel32 
> -I/usr/include/w32api

> Any thoughts?

Hmm, which version of libwin  (download URL) and can you send a patch
of your current tree against the source?  I'll try if it works for me
(though with perl-5.8.1, but this should make no difference).

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/